Page MenuHomePhabricator

vendor - file permissions trigger debian lintian warnings
Closed, ResolvedPublic

Description

0. Context

DEB packages of mediawiki and many of its extensions, are prepared as part of the WP-MIRROR project.
See https://www.mediawiki.org/wiki/Wp-mirror.

  1. Lintian

During the build process, lintian performs a great number of sanity checks, including seeing if each file has file permissions appropriate to its file type.

When lintian sees a non-executable file with 755 permissions, rather than 644, lintian will throw a warning like:

wp-mirror-mediawiki: executable-not-elf-or-script usr/share/wp-mirror-mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Facet/GeoClusterTest.php

  1. Files which should have permissions set to 644

vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdData.php
vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdDataInterface.php
vendor/liuggio/statsd-php-client/tests/Liuggio/StatsdClient/Entity/StatsdDataTest.php
vendor/liuggio/statsd-php-client/tests/Liuggio/StatsdClient/StatsdDataFactoryTest.php
vendor/oojs/oojs-ui/src/themes/apex/images/icons/align-center.svg
vendor/oojs/oojs-ui/src/themes/apex/images/icons/align-float-left.svg
vendor/oojs/oojs-ui/src/themes/apex/images/icons/align-float-right.svg
vendor/oojs/oojs-ui/src/themes/apex/images/icons/bigger-ltr.svg
vendor/oojs/oojs-ui/src/themes/apex/images/icons/smaller-ltr.svg
vendor/oojs/oojs-ui/src/themes/apex/images/textures/pending.gif
vendor/oojs/oojs-ui/src/themes/mediawiki/images/icons/align-center.svg
vendor/oojs/oojs-ui/src/themes/mediawiki/images/icons/align-float-left.svg
vendor/oojs/oojs-ui/src/themes/mediawiki/images/icons/align-float-right.svg
vendor/oojs/oojs-ui/src/themes/mediawiki/images/icons/bigger-ltr.svg
vendor/oojs/oojs-ui/src/themes/mediawiki/images/icons/smaller-ltr.svg
vendor/oojs/oojs-ui/src/themes/mediawiki/images/textures/pending.gif
vendor/ruflin/elastica/changes.txt
vendor/ruflin/elastica/lib/Elastica/Aggregation/AbstractAggregation.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/AbstractSimpleAggregation.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/Avg.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/Cardinality.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/DateHistogram.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/DateRange.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/ExtendedStats.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/Filter.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/GeoDistance.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/GeohashGrid.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/GlobalAggregation.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/Histogram.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/IpRange.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/Max.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/Min.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/Missing.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/Nested.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/Range.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/Stats.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/Sum.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/Terms.php
vendor/ruflin/elastica/lib/Elastica/Aggregation/ValueCount.php
vendor/ruflin/elastica/lib/Elastica/Bulk/Action.php
vendor/ruflin/elastica/lib/Elastica/Bulk/Action/AbstractDocument.php
vendor/ruflin/elastica/lib/Elastica/Bulk/Action/UpdateDocument.php
vendor/ruflin/elastica/lib/Elastica/Filter/GeohashCell.php
vendor/ruflin/elastica/lib/Elastica/Filter/Indices.php
vendor/ruflin/elastica/lib/Elastica/Filter/Terms.php
vendor/ruflin/elastica/lib/Elastica/Index/Status.php
vendor/ruflin/elastica/lib/Elastica/Node/Info.php
vendor/ruflin/elastica/lib/Elastica/Query.php
vendor/ruflin/elastica/lib/Elastica/Query/Common.php
vendor/ruflin/elastica/lib/Elastica/Query/FunctionScore.php
vendor/ruflin/elastica/lib/Elastica/Query/SimpleQueryString.php
vendor/ruflin/elastica/lib/Elastica/ResultSet.php
vendor/ruflin/elastica/lib/Elastica/Search.php
vendor/ruflin/elastica/lib/Elastica/Snapshot.php
vendor/ruflin/elastica/lib/Elastica/Suggest.php
vendor/ruflin/elastica/lib/Elastica/Suggest/AbstractSuggest.php
vendor/ruflin/elastica/lib/Elastica/Suggest/CandidateGenerator/AbstractCandidateGenerator.php
vendor/ruflin/elastica/lib/Elastica/Suggest/CandidateGenerator/DirectGenerator.php
vendor/ruflin/elastica/lib/Elastica/Suggest/Phrase.php
vendor/ruflin/elastica/lib/Elastica/Suggest/Term.php
vendor/ruflin/elastica/lib/Elastica/Type/Mapping.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/AvgTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/BaseAggregationTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/CardinalityTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/DateHistogramTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/DateRangeTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/ExtendedStatsTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/FilterTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/GeoDistanceTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/GeohashGridTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/GlobalAggregationTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/HistogramTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/IpRangeTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/MaxTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/MinTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/MissingTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/NestedTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/RangeTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/StatsTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/SumTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/TermsTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/ValueCountTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/BulkTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/ClientTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Facet/GeoClusterTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Filter/GeohashCellTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Filter/IndicesTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Filter/TermsTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Filter/TermTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/IndexTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Index/SettingsTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/NodeTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Node/InfoTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Query/BoostingTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Query/CommonTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Query/FunctionScoreTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Query/SimpleQueryStringTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/SnapshotTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Suggest/PhraseTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Suggest/TermTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Transport/ThriftTest.php
vendor/ruflin/elastica/test/lib/Elastica/Test/Type/MappingTest.php
vendor/zordius/lightncandy/tests/example_helpers.php

  1. Technical details

DEB standards version: 3.9.6
GIT branch: master

Details

Related Gerrit Patches:
oojs/ui : masterFix file permissions

Event Timeline

wpmirrordev raised the priority of this task from to Normal.
wpmirrordev updated the task description. (Show Details)
wpmirrordev added a subscriber: wpmirrordev.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 30 2015, 11:57 PM
Legoktm added a subscriber: Legoktm.

Most of these probably need to be fixed upstream....

Southparkfan set Security to None.
Reedy added a subscriber: Reedy.

We can fix those OOjs-ui stuff though

Change 233721 had a related patch set uploaded (by Southparkfan):
Fix file permissions

https://gerrit.wikimedia.org/r/233721

For your info: I'm going to see if I can fix this for the non-Wikimedia vendor repos too (but you may close this bug if you want, if the oojs-ui patch set above here is merged).

Grumble grumble this should have been a sub-task for each library. OOUI bit is fixed, but this isn't…

Change 233721 merged by jenkins-bot:
Fix file permissions

https://gerrit.wikimedia.org/r/233721

The file permissions for Elastica were already fixed in https://github.com/Southparkfan/Elastica/commit/9f8d9d034e567e559eda96a892f6fb6b3a8f795a 1 year ago. File permissions for lightncandy have been fixed in https://github.com/zordius/lightncandy/pull/172, awaiting merge.

Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Aug 26 2015, 1:39 AM
Southparkfan closed this task as Resolved.Aug 26 2015, 5:30 AM

The lightncandy pull request has been merged.

Has the mediawiki/vendor library been updated with updated versions of all the libraries?

I confirm that most of the above mentioned debian lintian warnings are cured.
Thanks.

In the spirit of Jdforrester-WMF, who wishes a sub-task for each library, I create the following three tasks: T110417, T110415, and T110418 to report the few remaining issues.

Volker_E removed a subscriber: gerritbot.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 22 2017, 11:36 PM